package intrinsic.mx.rpc.xml;

public class XMLDecoder extends intrinsic.mx.rpc.xml.SchemaProcessor implements intrinsic.mx.rpc.xml.IXMLDecoder {

	/** Accessors */
	public boolean makeObjectsBindable;
	public boolean recordXSIType;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.Class listClass;

/** Contructors */
public XMLDecoder() {
}


/** Static Methods */

/** Methods */
public native void decodeComplexContent(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeElement(intrinsic.XML arg0, Object arg1, Object arg2);
public native void decodeElement(intrinsic.XML arg0, Object arg1, Object arg2, int arg3);
public native void decodeComplexType(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeComplexType(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native void decodeChoice(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native void decodeSimpleList(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeSimpleList(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native void decodeAttribute(intrinsic.XML arg0, Object arg1);
public native void decodeAttribute(intrinsic.XML arg0, Object arg1, Object arg2);
public native void decodeAttribute(intrinsic.XML arg0, Object arg1, Object arg2, intrinsic.XML arg3);
public native void decodeComplexRestriction(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native Object decodeElementTopLevel(intrinsic.XML arg0, intrinsic.QName arg1, Object arg2);
public native void decodeAll(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeAttributeGroup(intrinsic.XML arg0, Object arg1);
public native void decodeAttributeGroup(intrinsic.XML arg0, Object arg1, Object arg2);
public native void decodeAttributeGroup(intrinsic.XML arg0, Object arg1, Object arg2, intrinsic.XML arg3);
public native boolean isSimpleValue(Object arg0);
public native void decodeSequence(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeSimpleContent(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeSimpleContent(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native void decodeSimpleType(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeSimpleType(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native Object getValue(Object arg0, Object arg1);
public native Object getValue(Object arg0, Object arg1, double arg2);
public native void setSimpleValue(Object arg0, Object arg1, Object arg2);
public native void setAttribute(Object arg0, Object arg1, Object arg2);
public native void decodeAny(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeAny(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, int arg4);
public native Object createContent(Object arg0);
public native Object createContent(Object arg0, intrinsic.QName arg1);
public native void decodeSimpleUnion(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeSimpleUnion(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native Object getAttribute(Object arg0, Object arg1);
public native void setArrayValue(Object arg0, Object arg1);
public native void decodeSimpleRestriction(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native boolean hasAttribute(Object arg0, Object arg1);
public native void decodeAnyAttribute(intrinsic.XML arg0, Object arg1);
public native void decodeAnyAttribute(intrinsic.XML arg0, Object arg1, Object arg2);
public native void decodeAnyAttribute(intrinsic.XML arg0, Object arg1, Object arg2, intrinsic.XML arg3);
public native intrinsic.Array getProperties(Object arg0);
public native Object decode(Object arg0);
public native Object decode(Object arg0, intrinsic.QName arg1);
public native Object decode(Object arg0, intrinsic.QName arg1, intrinsic.QName arg2);
public native Object decode(Object arg0, intrinsic.QName arg1, intrinsic.QName arg2, intrinsic.XML arg3);
public native void reset();
public native Object marshallBuiltInType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native Object marshallBuiltInType(intrinsic.QName arg0, Object arg1, intrinsic.QName arg2, Object arg3, intrinsic.XML arg4);
public native Object getSimpleValue(Object arg0, Object arg1);
public native void decodeComplexExtension(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void decodeGroup(intrinsic.XML arg0, Object arg1, intrinsic.QName arg2, Object arg3);
public native void setValue(Object arg0, Object arg1, Object arg2);
public native boolean hasValue(Object arg0, Object arg1);

}
